/*
Navicat MySQL Data Transfer

Source Server         : 商品中间库
Source Server Version : 50628
Source Host           : sh-cdb-qov3z1u5.sql.tencentcdb.com:63613
Source Database       : gic_middledb_batch

Target Server Type    : MYSQL
Target Server Version : 50628
File Encoding         : 65001

Date: 2018-11-20 16:15:32
*/

SET FOREIGN_KEY_CHECKS=0;

-- ----------------------------
-- Table structure for order_batch_deliver_import
-- ----------------------------
DROP TABLE IF EXISTS `order_batch_deliver_import`;
CREATE TABLE `order_batch_deliver_import` (
  `order_number` varchar(128) DEFAULT NULL COMMENT '订单号',
  `erp_order_id` varchar(64) DEFAULT NULL COMMENT 'erp订单id',
  `logistics_company_name` varchar(128) DEFAULT NULL COMMENT '物流公司名称',
  `courier_number` varchar(64) DEFAULT NULL COMMENT '快递单号',
  `logistics_information` varchar(4000) DEFAULT NULL COMMENT '物流信息',
  `mall_pro_code` varchar(256) DEFAULT NULL COMMENT '商品code',
  `send_num` int(32) DEFAULT NULL COMMENT '发货数量',
  `create_time` varchar(64) DEFAULT NULL COMMENT '新增时间',
  `update_time` varchar(64) DEFAULT NULL COMMENT '修改时间',
  `member_card_no` varchar(128) DEFAULT NULL COMMENT '会员卡号',
  `status` int(32) DEFAULT NULL COMMENT '0-未处理 1-已处理',
  `factory_code` varchar(64) DEFAULT NULL COMMENT '企业编码'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for order_evaluate_import
-- ----------------------------
DROP TABLE IF EXISTS `order_evaluate_import`;
CREATE TABLE `order_evaluate_import` (
  `factory_code` varchar(64) DEFAULT NULL COMMENT '企业编码',
  `evaluate_type` int(32) DEFAULT NULL COMMENT '评价类型（0:服务态度 1:发货速度 2:订单项商品）',
  `erp_order_id` varchar(64) DEFAULT NULL COMMENT '被评价订单的erp中的ID',
  `order_number` varchar(128) DEFAULT NULL COMMENT '被评价订单编号',
  `erp_goods_id` varchar(64) DEFAULT NULL COMMENT '被评价在erp商品ID',
  `mall_pro_code` varchar(64) DEFAULT NULL COMMENT '被评价商品code',
  `mall_pro_sku_code` varchar(128) DEFAULT NULL COMMENT '被评价商品skucode',
  `evaluate_content` varchar(4000) DEFAULT NULL COMMENT '评价内容',
  `evaluate_score` int(16) DEFAULT NULL COMMENT '评分',
  `show_status` int(32) DEFAULT NULL COMMENT '是否显示(0：否，1：是)',
  `status` int(32) DEFAULT NULL COMMENT '状态（0：无效，1：有效）',
  `reply_content` varchar(4000) DEFAULT NULL COMMENT '商家回复内容',
  `reply_status` int(32) DEFAULT NULL COMMENT '评价回复状态：0未回复 1-已回复',
  `reply_date` varchar(64) DEFAULT NULL COMMENT '回复时间',
  `create_time` varchar(64) DEFAULT NULL COMMENT '评价时间',
  `member_card_no` varchar(64) DEFAULT NULL COMMENT '会员卡号'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for order_import
-- ----------------------------
DROP TABLE IF EXISTS `order_import`;
CREATE TABLE `order_import` (
  `order_number` varchar(256) DEFAULT NULL COMMENT '订单流水号',
  `erp_order_id` varchar(128) DEFAULT NULL COMMENT 'erp订单主键',
  `factory_code` varchar(64) DEFAULT NULL COMMENT '企业编码',
  `member_card_num` varchar(128) DEFAULT NULL COMMENT '会员卡',
  `mall_pro_all_price` double(32,2) DEFAULT NULL COMMENT '订单商品零售总价',
  `actual_freight` double(32,2) DEFAULT NULL COMMENT '最终实际运费（可手动修改）',
  `discount_amount` double(32,2) DEFAULT NULL COMMENT '优惠折扣金额',
  `discount_amount_info` varchar(512) DEFAULT NULL COMMENT '优惠折扣详情 格式：400=50||500=10',
  `amount_payable_info` varchar(512) DEFAULT NULL COMMENT '应付金额详情 JSON 如 100=10||200=10',
  `pay_amount_all` double(32,2) DEFAULT NULL COMMENT '实付金额 含运费',
  `pay_amount` double(32,2) DEFAULT NULL COMMENT '实付金额 不含运费',
  `pay_type` int(32) DEFAULT NULL COMMENT '支付方式 1微信 2支付宝 3充值 4信用卡 5银联',
  `coupon_card_code` varchar(256) DEFAULT NULL COMMENT '使用的卡券code',
  `get_points` int(32) DEFAULT NULL COMMENT '可以获得积分',
  `use_points` int(32) DEFAULT NULL COMMENT '使用积分',
  `address_info` varchar(2000) DEFAULT NULL COMMENT '收货地址 如：华星时代广场1103',
  `buyer_name` varchar(128) DEFAULT NULL COMMENT '收货人',
  `store_code` varchar(64) DEFAULT NULL COMMENT '店铺编码',
  `clerk_code` varchar(64) DEFAULT NULL COMMENT '导购编码',
  `buyer_phone` varchar(32) DEFAULT NULL COMMENT '收货人联系方式',
  `logistics_company_code` varchar(128) DEFAULT NULL COMMENT '快递公司信息code 如顺丰快递：SF',
  `logistics_number` varchar(64) DEFAULT NULL COMMENT '快递单号',
  `order_step` int(32) DEFAULT NULL COMMENT '订单流程阶段 \r\n0交易关闭 1未付款（待付款、等待买家付款） \r\n2已付款未发货（待发货、买家已付款） \r\n3已发货未签收（待收货、已发货） \r\n4已确认交易结束,5已发货订单项退款中,\r\n6待付款订单项退款中,7部分发货',
  `pay_number` varchar(128) DEFAULT NULL COMMENT '支付流水号',
  `pay_time` varchar(128) DEFAULT NULL COMMENT '付款时间',
  `order_show` int(32) DEFAULT NULL COMMENT '买家是否可见 买家删除 0不可见 1可见',
  `evaluation_status` int(32) DEFAULT NULL COMMENT '评价状态 0未评价 1已评价',
  `new_status` int(32) DEFAULT NULL COMMENT '是否最新需要通知的订单 0不是 1是',
  `remarks` varchar(2000) DEFAULT NULL COMMENT '备注留言，如：我要红色',
  `create_time` varchar(128) DEFAULT NULL COMMENT '订单创建时间',
  `stock_decrease` int(32) DEFAULT NULL COMMENT '库存扣减 1创建时 2付款时'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for order_item_import
-- ----------------------------
DROP TABLE IF EXISTS `order_item_import`;
CREATE TABLE `order_item_import` (
  `order_number` varchar(256) DEFAULT NULL COMMENT '订单编号',
  `erp_order_id` varchar(128) DEFAULT NULL COMMENT 'erp对应订单id',
  `order_item_number` varchar(256) DEFAULT NULL COMMENT '订单项号',
  `erp_order_item_id` varchar(128) DEFAULT NULL COMMENT 'erp对应订单项id',
  `mall_pro_code` varchar(128) DEFAULT NULL COMMENT '商品货号',
  `mall_pro_name` varchar(256) DEFAULT NULL COMMENT '商城商品Name',
  `mall_pro_price` double(64,2) DEFAULT NULL COMMENT '商城商品零售价',
  `mall_pro_number` int(32) DEFAULT NULL COMMENT '商城商品件数（或单位 贵金属-重量等）',
  `mall_pro_spu_price` double(64,2) DEFAULT NULL COMMENT '商品SPU价',
  `mall_pro_sku_code` varchar(128) DEFAULT NULL COMMENT '商城商品SKU_CODE',
  `discount_amount_info` varchar(512) DEFAULT NULL COMMENT '优惠折扣详情 格式：400=50||500=10',
  `amount_payable_info` varchar(512) DEFAULT NULL COMMENT '应付金额详情 JSON 如 100=10||200=10',
  `pay_amount` double(64,2) DEFAULT NULL COMMENT '实付金额',
  `get_points` int(32) DEFAULT NULL COMMENT '获得积分',
  `use_points` int(32) DEFAULT NULL COMMENT '使用积分',
  `order_item_freight` int(32) DEFAULT NULL COMMENT '运费',
  `refund_status` int(32) DEFAULT NULL COMMENT '是否有退款 0无退款 1退款中 2成功 3失败',
  `create_time` varchar(128) DEFAULT NULL COMMENT '订单项创建时间',
  `member_card_no` varchar(128) DEFAULT NULL COMMENT '会员卡号',
  `factory_code` varchar(64) DEFAULT NULL COMMENT '企业编码'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for order_logistics_import
-- ----------------------------
DROP TABLE IF EXISTS `order_logistics_import`;
CREATE TABLE `order_logistics_import` (
  `order_number` varchar(128) DEFAULT NULL COMMENT '订单号',
  `erp_order_id` varchar(128) DEFAULT NULL COMMENT 'erp订单id',
  `logistics_company_name` varchar(128) DEFAULT NULL COMMENT '物流公司名称',
  `courier_number` varchar(256) DEFAULT NULL COMMENT '快递单号',
  `logistics_information` varchar(4000) DEFAULT NULL COMMENT '物流信息',
  `mall_pro_code` varchar(256) DEFAULT NULL COMMENT '商品code',
  `send_num` int(32) DEFAULT NULL COMMENT '发货数量',
  `create_time` varchar(64) DEFAULT NULL COMMENT '新增时间',
  `update_time` varchar(64) DEFAULT NULL COMMENT '修改时间',
  `member_card_no` varchar(128) DEFAULT NULL COMMENT '会员卡号',
  `factory_code` varchar(64) DEFAULT NULL COMMENT '企业编码'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for order_process_import
-- ----------------------------
DROP TABLE IF EXISTS `order_process_import`;
CREATE TABLE `order_process_import` (
  `order_number` varchar(128) DEFAULT NULL COMMENT '订单号',
  `erp_order_id` varchar(64) DEFAULT NULL COMMENT 'erp订单id',
  `factory_code` varchar(64) DEFAULT NULL COMMENT '企业编码',
  `member_card_no` varchar(64) DEFAULT NULL COMMENT '会员卡号',
  `order_step` int(32) DEFAULT NULL COMMENT '订单流程阶段 \r\n0交易关闭 1未付款（待付款、等待买家付款） \r\n2已付款未发货（待发货、买家已付款） \r\n3已发货未签收（待收货、已发货） \r\n4已确认交易结束,5已发货订单项退款中,\r\n6待付款订单项退款中,7部分发货',
  `order_close` int(32) DEFAULT NULL COMMENT '订单是否关闭 0关闭 1正常',
  `create_time` varchar(64) DEFAULT NULL COMMENT '新增时间',
  `update_time` varchar(64) DEFAULT NULL COMMENT '修改时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for order_refund_import
-- ----------------------------
DROP TABLE IF EXISTS `order_refund_import`;
CREATE TABLE `order_refund_import` (
  `order_number` varchar(128) DEFAULT NULL COMMENT '订单编号',
  `erp_order_id` varchar(128) DEFAULT NULL COMMENT 'erp订单编号',
  `order_item_number` varchar(128) DEFAULT NULL COMMENT '订单项编号',
  `erp_order_item_id` varchar(64) DEFAULT NULL COMMENT 'erp订单项编号',
  `factory_code` varchar(64) DEFAULT NULL COMMENT '企业编码',
  `member_card_no` varchar(64) DEFAULT NULL COMMENT '会员卡号',
  `actual_number` int(32) DEFAULT NULL COMMENT '实际商品退款的数量',
  `refund_number` int(32) DEFAULT NULL COMMENT '退款商品件数（或单位 贵金属-重量等）',
  `apply_refund_price` double(64,2) DEFAULT NULL COMMENT '申请退款金额',
  `refund_price` double(64,2) DEFAULT NULL COMMENT '退款金额 实付部分',
  `refund_points` int(32) DEFAULT NULL COMMENT '退款 积分部分',
  `refund_status` int(32) DEFAULT NULL COMMENT '该阶段是 1退款待处理 2成功 \r\n3退款关闭 4待买家退货 5待商家收货 6拒绝退款',
  `refund_reason` varchar(4000) DEFAULT NULL COMMENT '退款原因',
  `create_time` varchar(64) DEFAULT NULL COMMENT '创建记录时间',
  `out_trade_no` varchar(128) DEFAULT NULL COMMENT '商户支付订单号',
  `apply_user` varchar(32) DEFAULT NULL COMMENT '申请人，可以是用户，可以是商家',
  `apply_channel` varchar(64) DEFAULT NULL COMMENT '渠道：TYP_MALL|TYP_VENDOR',
  `refund_type` int(32) DEFAULT NULL COMMENT '退款类型：1，仅退款，2退货退款',
  `order_item_num` int(32) DEFAULT NULL COMMENT '本次退此订单项数量',
  `order_item_sum_num` int(32) DEFAULT NULL COMMENT '本订单项总数量',
  `order_num` int(32) DEFAULT NULL COMMENT '订单购买总数量',
  `refund_deliver_type` int(32) DEFAULT NULL COMMENT '退款时发货类型：1：未发货类型，2：已发货类型'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for order_refund_logistics_import
-- ----------------------------
DROP TABLE IF EXISTS `order_refund_logistics_import`;
CREATE TABLE `order_refund_logistics_import` (
  `order_number` varchar(128) DEFAULT NULL COMMENT '订单号',
  `erp_order_id` varchar(64) DEFAULT NULL COMMENT 'erp订单id',
  `logistics_company_name` varchar(128) DEFAULT NULL COMMENT '物流公司名称',
  `courier_number` varchar(128) DEFAULT NULL COMMENT '快递单号',
  `logistics_information` varchar(4000) DEFAULT NULL COMMENT '物流信息',
  `create_time` varchar(64) DEFAULT NULL COMMENT '新增时间',
  `update_time` varchar(64) DEFAULT NULL COMMENT '修改时间',
  `member_card_no` varchar(128) DEFAULT NULL COMMENT '会员卡号',
  `mall_pro_code` varchar(64) DEFAULT NULL COMMENT '商品code',
  `send_num` varchar(64) DEFAULT NULL COMMENT '发货数量',
  `factory_code` varchar(64) DEFAULT NULL COMMENT '企业编码'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


-- ----------------------------
-- Table structure for collect_import
-- ----------------------------
DROP TABLE IF EXISTS `collect_import`;
CREATE TABLE `collect_import` (
  `factory_code` varchar(64) DEFAULT NULL COMMENT '企业编码',
  `erp_member_id` varchar(64) DEFAULT NULL COMMENT 'erp中的会员编号',
  `card_No` varchar(128) DEFAULT NULL COMMENT '会员卡号',
  `mall_pro_code` varchar(64) DEFAULT NULL COMMENT '商城商品code',
  `mall_pro_name` varchar(64) DEFAULT NULL COMMENT '商城商品Name',
  `status` int(32) DEFAULT NULL COMMENT ' 0-已删除 1有效 2-商品已失效',
  `create_time` varchar(64) DEFAULT NULL COMMENT '收藏时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
