
-- 清除导入的临时数据
delete from tab_gic_mall_order_copy ;
delete from tab_gic_mall_order_item_copy ;

delete from tab_gic_mall_order_logistics_copy ;
delete from tab_gic_mall_order_process_copy ;

delete from tab_gic_mall_order_refund_consult_copy ;
delete from tab_gic_mall_order_refund_copy ;

delete from tab_gic_mall_order_refund_logistics_copy ;
delete from tab_gic_mall_collection_copy ;
delete from tab_gic_mall_evaluate_copy ;
delete from tab_gic_mall_order_batch_deliver_log_copy ;
delete from tab_gic_member_address_copy

-- 订单地址所在区域
update order_import A inner join(select county_id,full_name from `gic3.0`.tab_gic_county ) c

 on 
  (
    locate(A.province_name,c.full_name) >0
and locate(A.city_name,c.full_name) >0
and locate(A.area_name,c.full_name) >0
)
 set A.area_id = c.county_id
 ;
 
 
 -- 把没有的地址保存起来
 INSERT INTO `gic3.0`.`tab_gic_member_address_copy` 
 (
  `member_address_id`, `member_id`, `member_personal_id`, `is_default`, `address_type`
, `address`
, `county_id`, `longitude`, `latitude`, `create_time`, `update_time`, `status`
, `enterprise_id`, `member_name`, `phone_number`
, `nationcode`, `clique_id`, `clique_member_id`, `ecommerce_buyer_id`, `subscribe_status`
)  

select  replace(uuid(), '-', '')  as member_address_id, members_view.member_id,null as member_personal_id,0 as is_default,1 as address_type
,oi.address_info   address
,oi.area_id as county_id,null as longitude,null as latitude,now() as create_time,now() as update_time,1 as status
,members_view.enterprise_id,oi.buyer_name,oi.buyer_phone as phone_number
,null as nationcode,members_view.clique_id,members_view.clique_member_id,-1 as ecommerce_buyer_id,1 as subscribe_status
FROM order_import oi
 left join `gic3.0`.tab_gic_member_pommedeterre members_view      on members_view.card_num = oi.member_card_num
 where 
  NOT EXISTS(
	 SELECT address FROM `gic3.0`.tab_gic_member_address addr WHERE addr.address = oi.address_info
	 and      addr.member_id = members_view.member_id
	)
 GROUP BY oi.address_info
 ;
  

 -- tab_gic_mall_order
 INSERT INTO `tab_gic_mall_order_copy` 
 (
 `order_id`,`erp_order_id`, `order_number`, `enterprise_id`, `brand_id`, `member_id`, `mall_pro_all_price`
 ,`actual_freight`, `mall_order_freight`, `discount_amount`, `discount_amount_info`, `amount_payable_info`
  ,`pay_amount`, `pay_type`, `coupon_card_log_id`, `coupon_card_code`, `get_points`, `use_points`, `clerk_id`, `store_id`, `address_id`
  ,`address_info`, `area_id`, `buyer_name`, `buyer_phone`, `logistics_company_id`, `logistics_number`, `order_process_id`, `order_step`
 ,`pay_number`, `pay_time`, `order_show`, `evaluation_status`, `new_status`, `remarks`, `create_time`, `update_time`, `pay_amount_all`
 ,`stock_decrease`, `clique_id`, `clique_member_id`, `deliver_store_id`, `delivery_type`, `store_code`, `clerk_code`, `trade_close_reason`, `order_version`,from_erp
 )
  select  replace(uuid(), '-', '')  as order_id,oi.erp_order_id ,IFNULL(CONCAT('RE9',floor(UNIX_TIMESTAMP(oi.create_time))),oi.order_number) as order_number  ,members_view.enterprise_id, '-1' as brand_id  ,members_view.member_id,oi.mall_pro_all_price
,oi.actual_freight, oi.actual_freight, oi.discount_amount,oi.discount_amount_info,oi.amount_payable_info
,oi.pay_amount, oi.pay_type,null as coupon_card_log_id ,oi.coupon_card_code,oi.get_points,oi.use_points,clerk.clerk_id,clerk.store_id_order as store_id,addr.member_address_id 
,oi.address_info, addr.county_id as area_id,oi.buyer_name,oi.buyer_phone,logistics.`logistics_company_id`,oi.logistics_number,replace(uuid(), '-', '') as order_process_id ,oi.order_step
,oi.pay_number, oi.pay_time,oi.order_show,oi.evaluation_status,oi.new_status,oi.remarks,oi.create_time,oi.create_time as update_time,oi.pay_amount_all
,oi.stock_decrease,members_view.clique_id,members_view.clique_member_id,null as deliver_store_id,0 as  delivery_type,oi.store_code,oi.clerk_code,null as trade_close_reason ,null as order_version,1 as from_erp
 
FROM order_import oi
 left join `gic3.0`.tab_gic_member_pommedeterre members_view      on members_view.card_num = oi.member_card_num
  LEFT join  (
   SELECT *  FROM `gic3_test`.tab_gic_member_address  
   UNION
   SELECT * FROM   tab_gic_member_address_copy
 ) addr                on addr.member_id = members_view.member_id
 
 left join `gic3.0`.tab_gic_logistics_company logistics           on oi.logistics_company_code LIKE CONCAT('%',logistics.logistics_company_name,'%'  )
 left join `gic3.0`.tab_gic_member_clerk_pommedeterre  clerk      on clerk.member_id = members_view.member_id 
 GROUP BY oi.erp_order_id
 ;


  
 
 -- tab_gic_mall_order_item
 INSERT INTO  `tab_gic_mall_order_item_copy` 
(
`order_item_id`, `order_id`, `enterprise_id`, `brand_id`, `member_id`
, `mall_pro_id`, `mall_pro_name`, `mall_pro_price`, `mall_pro_image_url`
, `mall_pro_number`, `mall_pro_spu_price`, `mall_pro_sku_id`
, `mall_pro_sku_code`, `mall_pro_sku_attr`, `discount_amount_info`, `amount_payable_info`
, `pay_amount`, `get_points`, `use_points`, `order_item_freight`, `freight_template_id`
, `max_refund_price`, `refund_price`, `refund_points`, `refund_status`, `create_time`
, `update_time`, `refund_number`
, `activity_discount_id`, `activity_full_reduction_id`
, `activity_freight_id`, `activity_tiered_id`, `clique_id`, `clique_member_id`
, `order_item_status`, `pro_code`, `order_item_number`, `brand_code`
, `member_card_no`, `delivered_count`, `no_delivere_count`,from_erp
) 
  select
 replace(uuid(), '-', '')  as order_item_id ,o.order_id,o.enterprise_id,o.brand_id,o.member_id
,pro.mall_pro_id,pro.pro_name as mall_pro_name,IFNULL(oitem.mall_pro_price,0),sku.mall_pro_propvalue_image_url as mall_pro_image_url
,IFNULL(oitem.mall_pro_number, 0),IFNULL(pro.mall_pro_spu_price,0),sku.mall_pro_sku_id
,oitem.mall_pro_sku_code,IFNULL(sku.mall_prop_values,'[{}]') as mall_pro_sku_attr,oitem.discount_amount_info,oitem.amount_payable_info
,IFNULL(oitem.pay_amount, 0),IFNULL(oitem.get_points,0),oitem.use_points,oitem.order_item_freight,null as freight_template_id
,IFNULL(oitem.pay_amount,0) as max_refund_price,IFNULL(oitem.pay_amount,0) as refund_price,IFNULL(oitem.get_points,0) as refund_points,0 as refund_status,oitem.create_time
,oitem.create_time as update_time,0 as refund_number
,NULL as activity_discount_id,NULL  as activity_full_reduction_id
,NULL as activity_freight_id, NULL  as activity_tiered_id,o.clique_id,o.clique_member_id
,0    as order_item_status,pro.pro_code,oitem.order_item_number,pro.brand_code
,oitem.member_card_no,0    as delivered_count,     0     as no_delivere_count ,1 as from_erp

FROM order_item_import oitem
 left join tab_gic_mall_order_copy o on o.erp_order_id = oitem.erp_order_id
 left join tab_gic_mall_pro pro      on pro.pro_code   = oitem.mall_pro_code
 left join tab_gic_mall_pro_sku sku  on sku.mall_pro_sku_code   = oitem.mall_pro_sku_code
 where 
     o.order_id is not NULL 
 and oitem.member_card_no is not NULL
 GROUP BY oitem.erp_order_item_id
 ;

 
 
INSERT INTO  `tab_gic_mall_order_logistics_copy`
 (
   `mall_order_logistics_id`, `mall_order_id`, `logistics_company_id`, `logistics_company_name`
, `logistics_company_code`,  `courier_number`, `logistics_information`, `create_time`, `update_time`
, `enterprise_id`, `clique_id`, `member_id`, `clique_member_id`, `weight`, `order_item_id`
, `order_item_num`, `order_item_sum_num`,from_erp 
) 

 select replace(uuid(), '-', '')  as mall_order_logistics_id ,o.order_id as mall_order_id ,logistics.logistics_company_id,logistics.logistics_company_name
,logistics.logistics_company_code,logis.courier_number,logis.logistics_information,logis.create_time,logis.update_time
,o.`enterprise_id`,o.`clique_id`,o.`member_id`,o.`clique_member_id`,0 as weight, item.order_item_id
,logis.send_num, IFNULL(item.mall_pro_number,0) as `order_item_sum_num`,1 as from_erp
FROM order_logistics_import logis
 left join tab_gic_mall_order_copy o on o.order_number = logis.order_number
 left join tab_gic_mall_order_item_copy item on item.pro_code= logis.mall_pro_code
 left join `gic3.0`.tab_gic_logistics_company logistics   on   logis.logistics_company_name LIKE CONCAT('%',logistics.logistics_company_name,'%'  )
 
 ;
 
 
 
 
 
 
 
 
 INSERT INTO  `tab_gic_mall_order_refund_logistics_copy` 
(
`mall_order_logistics_id`, `mall_order_id`
, `logistics_company_id`, `logistics_company_name`, `logistics_company_code`
, `courier_number`, `logistics_information`, `create_time`, `update_time`, `weight`, `order_item_id`,from_erp
) 
 select replace(uuid(), '-', '')  as mall_order_logistics_id ,o.order_id as mall_order_id 
,logistics.logistics_company_id,logistics.logistics_company_name,logistics.logistics_company_code
,logis.courier_number,logis.logistics_information,logis.create_time,logis.update_time
,0 as weight,item.order_item_id,1 as from_erp
 
FROM order_refund_logistics_import logis
 left join tab_gic_mall_order_copy o on o.order_number = logis.order_number
 left join tab_gic_mall_order_item_copy item on item.pro_code= logis.mall_pro_code
 left join `gic3.0`.tab_gic_logistics_company logistics   on  logis.logistics_company_name LIKE CONCAT('%',logistics.logistics_company_name,'%'  )
 ;
 
 

 INSERT INTO  `tab_gic_mall_order_process_copy` 
(
`order_process_id`, `order_id`, `enterprise_id`, `brand_id`, `member_id`
, `order_step`, `order_close`, `order_refund`, `create_time`, `update_time`
, `reminding_times`, `clique_id`, `clique_member_id`,from_erp
) 

 select o.order_process_id ,o.order_id  ,o.enterprise_id,o.brand_id,o.member_id
,p.order_step, p.order_close,0 as order_refund ,p.create_time,p.update_time
,0 as reminding_times, o.`clique_id`, o.`clique_member_id`,1 as from_erp
 
FROM order_process_import p
 left join tab_gic_mall_order_copy o on o.erp_order_id = p.erp_order_id
 WHERE o.order_id is not NULL
 ;
 
 
 
 
 
 
 INSERT INTO  `tab_gic_mall_order_refund_copy` 
(
`order_refund_id`, `order_id`, `order_item_id`, `enterprise_id`, `brand_id`
, `apply_user`, `actual_number`, `member_id`, `order_process_id`, `refund_number`
 , `max_refund_price`, `apply_refund_price`, `refund_price`, `refund_points`, `refund_status`
 , `refund_reason`, `refund_fail_reason`, `create_time`, `update_time`, `out_trade_no`
 , `refund_describe`, `order_refund_number`, `clique_id`, `clique_member_id`, `apply_channel`
 , `refund_type`, `refund_logistics_id`, `order_item_num`, `order_item_sum_num`, `order_num`
 , `refund_deliver_type`, `refund_seller_address_id`, `refund_seller_desc`
, `refund_process_time`, `refund_goods_time`,from_erp
)


 SELECT replace(uuid(), '-', '')  as order_refund_id,o.order_id,item.order_item_id,members_view.enterprise_id,o.brand_id
,members_view.member_id as apply_user ,r.actual_number,members_view.member_id,o.order_process_id,r.refund_number
,r.apply_refund_price as max_refund_price ,r.apply_refund_price,r.refund_price,r.refund_points,r.refund_status
,r.refund_reason,null as refund_fail_reason,r.create_time,r.create_time as update_time,r.out_trade_no
,null as refund_describe,replace(uuid(), '-', '')  as order_refund_number,members_view.clique_id,members_view.clique_member_id,r.apply_channel
,r.refund_type,null as refund_logistics_id,r.order_item_num,r.order_item_sum_num,SUM(item.mall_pro_number) as order_num
,r.refund_deliver_type,null as refund_seller_address_id,null as refund_seller_desc
,null as refund_process_time ,null as refund_goods_time,1 as from_erp
FROM order_refund_import r
left join tab_gic_mall_order_copy o                              on o.erp_order_id = r.erp_order_id
left join  tab_gic_mall_order_item_copy item                     on item.order_item_number = r.order_item_number
left join `gic3.0`.tab_gic_member_pommedeterre members_view      on members_view.card_num = r.member_card_no
WHERE o.order_id is not NULL
group by r.order_item_number
;






INSERT INTO  `tab_gic_mall_order_batch_deliver_log_copy` (
`mall_order_batch_deliver_log_id`, `enterprise_id`, `batch_id`, `order_id`, `order_number`
, `courier_number`, `logistics_company_id`, `logistics_company_code`, `logistics_company_name`
, `create_time`, `update_time`, `status`, `clique_id`,from_erp
)
 
 select replace(uuid(), '-', '')  as mall_order_batch_deliver_log_id,o.enterprise_id
 ,( concat(o.enterprise_id,  REPLACE(unix_timestamp(d.`create_time`),'.','')))as  batch_id ,o.order_id,o.order_number
 ,d.courier_number,logistics.logistics_company_id,logistics.logistics_company_code,logistics.logistics_company_name
 ,d.`create_time`, d.`update_time`, d.`status`, o.`clique_id` ,1 as from_erp
 from
 order_batch_deliver_import d
 left join tab_gic_mall_order_copy o on o.order_number = d.order_number
 left join `gic3.0`.tab_gic_logistics_company logistics   on  d.logistics_company_name LIKE CONCAT('%',logistics.logistics_company_name,'%'  )
 WHERE o.order_id is not NULL
 ;
 
 
 
 
 INSERT INTO  `tab_gic_mall_order_refund_consult_copy` 
(
`order_refund_consult_id`, `order_refund_id`, `role`, `msg`
, `refund_reason`, `refund_type`, `refund_price`, `description`
, `img_url`, `create_time`, `update_time`, `refund_point`
, `msg_type`, `refund_deliver_type`,from_erp
) 

SELECT replace(uuid(), '-', '')  as order_refund_consult_id,r.order_refund_id,2 as role ,'商家已同意退货' as msg
,'不喜欢/不想要' as refund_reason, 2 as refund_type,r.refund_price,null as description
,null as img_url,r.create_time,r.create_time as update_time,r.refund_points
,null as msg_type,1 as refund_deliver_type,1 as from_erp
FROM tab_gic_mall_order_refund_copy  r
;



INSERT INTO  `tab_gic_mall_evaluate` 
(
`evaluate_id`, `enterprise_id`, `member_id`, `evaluate_type`, `mall_order_id`
, `mall_order_item_id`, `mall_pro_id`, `evaluate_content`, `evaluate_score`
, `show_status`, `status`, `reply_content`, `reply_status`, `reply_date`
, `create_time`, `update_time`, `clique_id`, `clique_member_id`
, `member_card_no`, `member_nickname`,from_erp
) 

SELECT replace(uuid(), '-', '')  as evaluate_id,personal.enterprise_id,personal.member_id , 0 as evaluate_type,itemc.order_id as mall_order_id
,itemc.order_item_id as mall_order_item_id,itemc.mall_pro_id,e.evaluate_content,e.evaluate_score
,e.show_status,e.status,e.reply_content,e.reply_status,e.reply_date
,e.create_time,null as update_time,personal.clique_id,personal.clique_member_id
,e.member_card_no, personal.member_name,1 as from_erp
FROM order_evaluate_import  e
left join tab_gic_mall_order_item_copy itemc    on itemc.pro_code = e.mall_pro_code
left join `gic3.0`.tab_gic_member_personal_pommedeterre personal    on personal.member_id = itemc.member_id 
;


INSERT INTO  `tab_gic_mall_collection_copy`
 (
  `collection_id`, `member_id`, `enterprise_id`, `brand_id`, `mall_pro_id`
, `mall_pro_name`, `mall_pro_collected_price`, `mall_pro_price`
 , `mall_pro_image_url`, `mall_pro_spu_price`, `status`
 , `create_time`, `update_time`, `clique_id`, `clique_member_id`,from_erp
) 

SELECT 
replace(uuid(), '-', '')  as collection_id,members_view.member_id,members_view.enterprise_id,pro.brand_id,pro.mall_pro_id
 ,pro.pro_name as mall_pro_name ,pro.mall_pro_spu_price as mall_pro_collected_price,pro.mall_pro_spu_price as mall_pro_price
,pro.mall_pro_image_url ,pro.mall_pro_spu_price,co.`status`
 ,co.create_time,null,members_view.clique_id,members_view.clique_member_id,1 as from_erp
from collect_import co 
left join tab_gic_mall_pro pro                              on pro.pro_code = co.mall_pro_code
left join `gic3.0`.tab_gic_member_pommedeterre members_view on members_view.card_num = co.card_no 

 ;
 

-- 订单项的发货，未发货，退款数量
update tab_gic_mall_order_item_copy A 
inner join (select order_item_id,sum(order_item_num) delivered_count  from tab_gic_mall_order_logistics_copy` group by order_item_id ) c on A.order_item_id = c.order_item_id
left  join (select count(1) refund_number from tab_gic_mall_order_refund_copy status = 2 group by order_item_id ) r on A.order_item_id = r.order_item_id  
 
 
 set A.delivered_count = c.delivered_count
    ,A.no_delivere_count = (mall_pro_number-c.delivered_count)
    ,A.refund_number = r.refund_number
 ;
 


 